[linux-elitists] Should software apologize?

Don Marti dmarti@zgp.org
Wed May 1 14:08:44 PDT 2002


I did a quick "apt-get install konqueror" (after seeing this...
http://sec.greymagic.com/adv/gm001-ns/ with no more detail) and
got the message:

Sorry, konqueror is already the newest version.

Sorry?  What is apt-get doing apologizing?

$ ls /usr/bin | xargs strings | grep Sorry | wc -l
    223

223 apologies?  A few of them are for exceeding compiled-in limits
or some such, which is something to apologize for, but why should
software apologize to you for _your_ mistake?

-- 
Don Marti                                          
http://zgp.org/~dmarti                       Help spread accurate information 
dmarti@zgp.org                      about Xenu and the Church of Scientology.
KG6INA           <a href="http://xenu.net/">Scientology</a> on your web site.



More information about the linux-elitists mailing list